aboutsummaryrefslogtreecommitdiffstatshomepage
diff options
context:
space:
mode:
-rw-r--r--README.md9
-rwxr-xr-xfix_permissions.sh7
2 files changed, 15 insertions, 1 deletions
diff --git a/README.md b/README.md
index 5194043..8a758ff 100644
--- a/README.md
+++ b/README.md
@@ -18,9 +18,16 @@ Using [config-links]:
> ../config-links/update.sh
...
+Issues
+------
+
+Some utilities (notably, GHC) may not work if its configuration files are
+group-writable.
+To fix this, run `chmod g-w` for every file & directory in this repository (you
+can do this using the supplied fix_permissions.sh script).
+
License
-------
-
Distributed under the MIT License.
See [LICENSE.txt] for details.
diff --git a/fix_permissions.sh b/fix_permissions.sh
new file mode 100755
index 0000000..65974b9
--- /dev/null
+++ b/fix_permissions.sh
@@ -0,0 +1,7 @@
+#!/usr/bin/env bash
+
+set -o errexit -o nounset -o pipefail
+
+script_dir="$( dirname -- "${BASH_SOURCE[0]}" )"
+script_dir="$( cd -- "$script_dir" && pwd )"
+find "$script_dir" -mindepth 1 -path ./.git -prune -o -exec chmod g-w {} +